summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Müller <thomas.mueller@tmit.eu>2015-12-01 10:21:25 +0100
committerThomas Müller <thomas.mueller@tmit.eu>2015-12-01 10:21:25 +0100
commit36660734a62b0f388b4d1dcc70f1bfaae620bf28 (patch)
treedc93c863e2191fc41cecee2cc25babf2f55612d7
parentf48ea593ebdc434d5209f79d18ac150bd2bca164 (diff)
parent21e063a9e7e4bb8f5beb808389eb888641b3f84f (diff)
downloadnextcloud-server-36660734a62b0f388b4d1dcc70f1bfaae620bf28.tar.gz
nextcloud-server-36660734a62b0f388b4d1dcc70f1bfaae620bf28.zip
Merge pull request #20855 from owncloud/output-log-integration-tests
tail the server log and exit with the exit code of behat
-rwxr-xr-xbuild/integration/run.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/build/integration/run.sh b/build/integration/run.sh
index bd2c2856ac7..9a2fe8e1895 100755
--- a/build/integration/run.sh
+++ b/build/integration/run.sh
@@ -2,12 +2,11 @@
composer install
-# TODO: avoid port collision on jenkins - use $EXECUTOR_NUMBER
+# avoid port collision on jenkins - use $EXECUTOR_NUMBER
if [ -z "$EXECUTOR_NUMBER" ]; then
EXECUTOR_NUMBER=0
fi
PORT=$((8080 + $EXECUTOR_NUMBER))
-#PORT=8080
echo $PORT
php -S localhost:$PORT -t ../.. &
PHPPID=$!
@@ -23,6 +22,12 @@ export TEST_SERVER_URL="http://localhost:$PORT/ocs/"
export TEST_SERVER_FED_URL="http://localhost:$PORT_FED/ocs/"
vendor/bin/behat -f junit -f pretty
+RESULT=$?
kill $PHPPID
kill $PHPPID_FED
+
+tail "../../data/owncloud.log"
+
+exit $RESULT
+